2005-01-03  Phil Blundell  <philb@gnu.org>

	* Version 0.75 released.

2005-01-03  Phil Blundell  <philb@gnu.org>

	* gpe-login.c (main): Fix cut and paste error.

2005-01-03  Phil Blundell  <philb@gnu.org>

	* Version 0.74 released.

2005-01-03  Phil Blundell  <philb@gnu.org>

	* gpe-login.c (main): Don't use gpe_application_init.

2005-01-01  Luc Pionchon  <luc@handhelds.org>

	* gpe-login.c (build_root_password_box): remove markup from i18n'ed strings.
	(build_new_user_box): Likewise.

2004-11-07  Phil Blundell  <pb@nexus.co.uk>

	* Makefile (LINGUAS): Add zh_CN.
	* po/zh_CN.po: New file, courtesy Meng Jie.

2004-10-07  Florian Boor <florian@kernelconcepts.de>

	* Makefile: Install lock script non-executable to make screen 
                    locking default to off.

2004-09-09  Florian Boor <florian@kernelconcepts.de>

	* main.c: Honor ownerinfo setting without restart.
	* Makefile: Changed location of lock script.

2004-09-08  Florian Boor <florian@kernelconcepts.de>

	* gpe-login.c (main): Don't show ownerinfo it is disabled by user.

2004-08-29  Phil Blundell  <pb@nexus.co.uk>

	* gpe-login.c (main): Clear CAN_FOCUS flag on "OK" button.

2004-07-06  Philip Blundell  <philb@gnu.org>

	* Version 0.72 released.
	
2004-07-06  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (main): Constrain aspect ratio of embedded keyboard.

2004-07-04  Philip Blundell  <philb@gnu.org>

	* Version 0.71 released.

2004-07-04  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (main): Tweak packing options for new-user mode.

2004-07-04  Philip Blundell  <philb@gnu.org>

	* Version 0.70 released.

2004-07-04  Philip Blundell  <philb@gnu.org>

	* X11/gpe-login.gtkrc: Change background colour.

	* gpe-login.c (main): If in full-screen mode, choose font
	according to screen width.

2004-07-03  Philip Blundell  <philb@gnu.org>

	* Version 0.69 released.
	
2004-07-03  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (my_error_box): New.
	(enter_newuser_callback): Use it.
	(enter_root_callback): Likewise.
	(main): Tweak packing attributes.  Disable calibration hint
	temporarily.

2004-06-23  Philip Blundell  <philb@gnu.org>

	* Version 0.68 released.
	
2004-06-23  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add es.

2004-06-12  Philip Blundell  <philb@gnu.org>

	* Version 0.67 released.
	
2004-06-12  Philip Blundell  <philb@gnu.org>

	* Makefile (MEMBERS): Remove nocursor.
	* nocursor.c: Deleted.

2004-03-08  Philip Blundell  <philb@gnu.org>

	* Version 0.66 released.

2004-03-08  Philip Blundell  <philb@gnu.org>

	* po/cs.po, po/fr.po, po/hu.po, po/ro.po, po/ru.po, po/sk.po,
	po/sr.po: New.

	* gpe-login.buttons: Obsolete.  Deleted.

	* X11/Xinit.d, X11/Xsession.d, X11/xsettings.default,
	standard.mbdock, gpe-logout.desktop.in, gpe-logout.png,
	gpe-logout.sh, gpe-xcalibrate.sh, gpe-auto-bluetooth.sh: Moved to
	../gpe-session-scripts.

	* Makefile: Remove session-scripts stuff.  Use PACKAGE_CFLAGS,
	etc.

2004-02-15  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.60 released.

2004-02-15  Philip Blundell  <philb@gnu.org>

	* X11/Xsession.d/98standard-apps: If the date is set to 1970,
	prompt the user to enter the correct time.

2004-02-15  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add hu, ro, ru, sr, sk.

2004-02-14  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.59 released.

2004-02-14  Philip Blundell  <philb@gnu.org>

	* standard.mbdock: Replace mbmenu with mb-applet-menu-launcher.

2004-02-13  Phil Blundell  <pb@nexus.co.uk>

	* gpe-session-scripts 0.58 released.

2004-02-13  Florian Boor <florian.boor@kernelconcepts.de>

	* gpe-logout.sh: Fix to work with matchbox >= 0.8

2004-01-28  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.65 released.
	
2004-01-28  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (main): Remember $DISPLAY.
	(do_login): Clear out the environment, then set DISPLAY as well as
	HOME, USER, LANG and SHELL.

2004-01-17  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.57 released.

2004-01-17  Philip Blundell  <philb@gnu.org>

	* X11/gpe-login.pre-session: Also chown buzzer device.

2003-11-07  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.56 released.

2003-11-07  Philip Blundell  <philb@gnu.org>

	* X11/Xinit.d/41xrandr: Rename to ...
	* X11/Xinit.d/01xrandr: ... this.

2003-10-29  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.55 released.

2003-10-29  Philip Blundell  <philb@gnu.org>

	* X11/Xinit.d/41xrandr: New.

2003-10-19  Philip Blundell  <philb@gnu.org>

	* Makefile: Use STANDARD_CFLAGS, STANDARD_LDFLAGS,
	STANDARD_CPPFLAGS.

2003-10-18  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add fr.
	(GTKCFLAGS, GTKLDFLAGS): Don't define.  Use GPEFLAGS, GPELIBS from
	Makefile.dpkg_ipkg instead.

2003-10-09  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add cs.

2003-09-28  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.54 released.

2003-09-28  Philip Blundell  <philb@gnu.org>

	* standard.mbdock: Reinstate xstroke.

2003-09-23  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.64 released.
	* gpe-session-scripts 0.53 released.
	
2003-09-23  Philip Blundell  <philb@gnu.org>

	* X11/Xsession.d/98standard-apps: Reflow text.
	* gpe-logout.sh: Likewise.

	* gpe-login.c (main): Call build_language_menu in new user
	scenario.
	(build_new_user_box): Add language selector to dialog.  Use
	translated labels.  Set current_locale to default locale.
	(enter_newuser_callback): Don't set current_locale here.
	
2003-09-22  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.64 released.

2003-09-22  Philip Blundell  <philb@gnu.org>

	* X11/gpe-login.pre-session: Also set permissions on
	/dev/touchscreen/0.

2003-09-22  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.52 released.

2003-09-22  Philip Blundell  <philb@gnu.org>

	* standard.mbdock: Remove xstroke.

2003-09-19  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.51 released.
	
2003-09-19  Philip Blundell  <philb@gnu.org>

	* X11/Xsession.d/98standard-apps: Call gpe-conf to set up timezone.

2003-09-15  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.62 released.

2003-09-15  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (enter_root_callback): New function.
	(build_new_user_box): Likewise, broken out of main.
	(build_root_password_box): Likewise.
	(main): Prompt to set a root password if not already done.
	(enter_newuser_callback): Set current_locale to default_locale.

2003-09-07  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.61 released.
	
2003-09-07  Philip Blundell  <philb@gnu.org>

	* gpe-login.setup: Remove xstroke.

2003-09-06  Philip Blundell  <philb@gnu.org>

	* po/pt.po: New file, courtesy Luis Oliveira.
	* Makefile (LINGUAS): Add pt.

2003-09-06  Philip Blundell  <philb@gnu.org>

	* po/nl.po: New file, courtesy Elros Cyriatan.
	* Makefile (LINGUAS): Add nl.

2003-08-14  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.60 released.
	
2003-08-17  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (main): Defer locale_try_user until locale list has
	been created.

2003-08-14  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.59 released.

2003-08-14  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (main): Call locale_try_user for initial user.
	(build_language_menu): Set default locale to C if none configured.

2003-08-14  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.50 released.

2003-08-14  Philip Blundell  <philb@gnu.org>

	* X11/Xinit.d/30xTs_Calibrate: Add missing #!/bin/sh.
	* X11/Xinit.d/60xXDefaults: Likewise.
	* X11/Xinit.d/55xScreenSaver: Likewise.

2003-08-14  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.49 released.
	* gpe-login 0.58 released.

2003-08-12  Philip Blundell  <philb@gnu.org>

	* familiar/postinst.gpe-session-scripts: New file.
	* Makefile (scripts-ipkg): Install it.

2003-08-11  Philip Blundell  <philb@gnu.org>

	* Makefile (install-scripts): Install Xsession.d, not Xsession-gpe.d.
	* X11/Xsession-gpe.d: Renamed to ...
	* X11/Xsession.d: ... this.

	* X11/10unsetgtkrc: Deleted.
	* Makefile (install-program): Don't install it.

	* X11/Xsession-gpe.d/99xWindowManager: Add missing #!/bin/sh.

2003-08-09  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (main): Don't show ownerinfo at new-user screen.
	(do_login): Don't call locale_set, but do setenv(LANG).  Only write
	out locale file if contents have changed.
	(locale_set): Don't call setenv.
	(add_menu_callback): Last arg is gpointer, not gpointer*.
	(locale_free_item): Deleted.
	(locale_try_user): User and default locales are pre-validated.
	Return void.
	(locale_get_file_single): Return validated entry from system
	list.  Contents of file is just the locale name.
	(locale_item_cmp): Deleted.

2003-08-08  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.48 released.

2003-08-08  Philip Blundell  <philb@gnu.org>

	* X11/Xinit.d/30xTs_Calibrate: Fix error in last change.

	Bug #845:
	* X11/gpe-login.pre-session: Remove chown of /dev/misc/apm_bios.
	Reported by Russell Coker.

2003-08-07  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.47 released.

2003-08-07  Philip Blundell  <philb@gnu.org>

	* X11/Xinit.d/30xTs_Calibrate: If xtscal is installed, use it in
	preference to xcalibrate.

2003-08-03  Philip Blundell  <philb@gnu.org>

	* familiar/gpe-logout.menu: Deleted.

2003-08-03  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.57 released.

2003-08-03  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add wa.
	* po/wa.po: New file, courtesy Pablo Saratxaga.

	* gpe-logout.desktop.in (Categories): Add Action.

2003-08-02  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.56 released.
	
2003-08-02  Philip Blundell  <philb@gnu.org>

	* familiar/control.gpe-session-scripts (Depends): Undo last change.
	* familiar/control1 (Depends): Remove librootimage0.  Add xstroke.
	(Source): Added.

2003-08-01  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.55 released.

2003-08-01  Philip Blundell  <philb@gnu.org>

	* familiar/control.gpe-session-scripts (Depends): Require xstroke.

	* gpe-login.setup: Add xstroke.  Only write to suspend_button_mode
	if it exists, to avoid errors on non-stoneage kernels.

2003-07-31  Philip Blundell  <philb@gnu.org>

	* Makefile (BUILD): Define.
	(CFLAGS): Don't add -I/usr/include/gpe.

	* gpe-login.c (mapped): Delete prototype.

	* Makefile (gpe-lock-display): Use pkg-config x11 rather than
	hardcoded -L /usr/X11R6.

2003-07-21  Phil Blundell  <pb@nexus.co.uk>

	* gpe-login 0.54 released.

2003-07-21  Phil Blundell  <pb@nexus.co.uk>

	* gpe-login.xinit: Remove geometry and transparency options.
	* gpe-login.setup: Remove call to gpe-ownerinfo.

	* gpe-login.c (main): Show owner info.  Remove old-style
	--transparent.
	(mapped): Deleted.

	* Makefile (LDFLAGS_OWNERINFO): New.
	(LDFLAGS_ROOT): Delete.
	(CFLAGS, LDFLAGS): Don't use librootimage.
	(CPPFLAGS): Add -I../gpe-ownerinfo.

2003-07-19  Philip Blundell  <philb@gnu.org>

	* standard.mbdock: Update.

2003-07-18  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.53 released.

2003-07-18  Philip Blundell  <philb@gnu.org>

	* X11/Xsession-gpe.d/98standard-apps: Use
	.matchbox/mbdock.session.
	* standard.mbdock: Update.

2003-07-16  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.52 released.

2003-03-24  Philip Blundell  <philb@gnu.org>

	* Makefile (CFLAGS): Remove duplicate -I for librootimage.  Move
	defines to CPPFLAGS.

2003-07-16 Florian Boor  <florian.boor@kernelconcepts.de>

	* Added hack to gpe-logout for killing metacity on simpad.

2003-07-09  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.51 released.

2003-07-09  Philip Blundell  <philb@gnu.org>

	* gpe-login.sysconfig (AUTOLOGIN): Change == to = here also.

2003-07-06  Moray Allan  <moray@sermisy.org>

	* nocursor.c (_gdk_window_set_cursor): Removed legacy GTK1 code.

2003-07-06  Philip Blundell  <philb@gnu.org>

	* Makefile (LINGUAS): Add sv.
	* po/sv.po: New file, courtesy Christian Rose.

2003-07-05  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.46 released.

2003-07-05  Philip Blundell  <philb@gnu.org>

	* familiar/control.gpe-session-scripts (Depends): Accept xtscal | xcalibrate.
	* gpe-xcalibrate.sh: Support xtscal.

2003-06-21  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.45 released.

2003-06-21  Philip Blundell  <philb@gnu.org>

	* X11/Xinit.d/40xmodmap: New file.

2003-05-29  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.44 released.
	
2003-05-29  Philip Blundell  <philb@gnu.org>

	* X11/xsettings.default: Set gtk-dialog icon size to 30,30.

2003-04-28 Paul Jakma <paul@dishone.st>

	* gpe-login.c (global): Added default_locale global.
	Added GPE_LOCALE_DEFAULT define.
	Changed the GPE_LOCALE_ALIAS define to /etc/gpe/locales/.
	(parse_locale_line): renamed to locale_parse_line
	(locale_parse_line): new, see above.
	(get_locale_list): renamed to locale_get_list
	(locale_get_list): new, see above
	(locale_try_user): make it use default_locale if
	user hasnt previously set a locale.
	(locale_get_files): new function, to return list of locale files
	(locale_get_file_single): new function, to read a file and return
	just one locale entry (the last valid item).
	(build_language_menu): use locale_get_files to determine files
	to pass to locale_get_list, concat all the returned item lists
	together.  Changed return type to void as the GtkWidget it was 
	returning is now global. Make it initialise default_locale, and 
	use it, if needs be. 
	(locale_read_user): remove file handling code and use 
	locale_get_file_single instead. Change stat() to lstat(), as stat()
	dereferences symlinks.
	(main): Change call to build_language_menu() to reflect above change.
	(misc): whitespace/formatting adjustments. Added missing include.
	Added descriptive comments to some functions.

2003-04-27  Philip Blundell  <philb@gnu.org>

	* familiar/conffiles: New.

2003-04-26  Philip Blundell  <philb@gnu.org>

	* Makefile (CPPFLAGS): Add -D_GNU_SOURCE.
	
	* gpe-logout.sh: Rewrap text for better display.

2003-04-20  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.43 released.

2003-04-20  Philip Blundell  <philb@gnu.org>

	* X11/Xsession-gpe.d/98standard-apps: Tweak wrapping to improve
	look with Vera at standard size.

	* familiar/control.gpe-session-scripts (Depends): Add gpe-clock.
	* standard.mbdock: Use gpe-clock in place of minitime.

2003-04-12  Phil Blundell  <pb@nexus.co.uk>

	* gpe-session-scripts 0.42 released.

2003-04-12  Philip Blundell  <philb@gnu.org>

	* gpe-auto-bluetooth.sh: New file.
	* Makefile (install-scripts): Install above.

	* Makefile (install-login): Don't install standard.mbdock here.
	(install-scripts): Install it here, but as gpe.mbdock.

	* familiar/control.gpe-session-scripts (Depends): Add blueprobe,
	gpe-bluetooth.
	* X11/Xsession-gpe.d/98standard-apps: Only run gpe-question in the
	background.  Look for gpe.mbdock not standard.mbdock.
	* standard.mbdock: Add gpe-auto-bluetooth.

2003-04-10  Phil Blundell  <pb@nexus.co.uk>

	* gpe-session-scripts 0.41 released.

2003-04-10  Philip Blundell  <philb@gnu.org>

	* X11/xsettings.default (MATCHBOX/Background): Deleted.

2003-04-05  Phil Blundell  <pb@nexus.co.uk>

	* gpe-login 0.50 released.

2003-04-05  Phil Blundell  <pb@nexus.co.uk>

	* gpe-login.sysconfig: Only set USER and ROOT when autologin
	requested.

2003-04-05  Phil Blundell  <pb@nexus.co.uk>

	* gpe-login 0.49 released.
	* gpe-session-scripts 0.40 released.

2003-04-05  Phil Blundell  <pb@nexus.co.uk>

	* gpe-logout.sh: Add hard line breaks.

	* gpe-login.xinit: Check /etc/sysconfig/gpelogin
	* gpe-login.session: Likewise.

	* gpe-login.sysconfig: New file.
	* Makefile (install-program): Install it.
	
	* familiar/postinst.gpe-login: Rename to ...
	* familiar/postinst: ... this.
	* familiar/postrm.gpe-login: Rename to ...
	* familiar/postrm: ... this.
	
	* standard.mbdock: New file.
	* Makefile (install-login): Install it.	
	* X11/Xsession-gpe.d/98standard-apps: Just move it into place
	rather than actually launching programs.

2003-03-30  Philip Blundell  <philb@gnu.org>

	* X11/Xinit: Deleted; moved to gpe-dm package.
	* X11/Xserver: Likewise.
	* X11/Xsession: Likewise.

2003-03-24  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.48 released.

2003-03-24  Philip Blundell  <philb@gnu.org>

	* Makefile: Include Makefile.dpkg_ipkg.
	(install-login): Rename to install-program.  Use install -s not $(STRIP).
	(install): Don't call install-program.
	(ipkg): Only handle gpe-session-scripts here.

2003-03-24  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (power_button_filter): Translate keycode to keysym.

	* Makefile (ipkg): Remove call to printinfo.

	* familiar/control.gpe-login1: Rename to control1.
	* familiar/control.gpe-login: Deleted.
	* Makefile: Update appropriately.  Remove GTK 1 support.

2003-03-24  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.47 released.

2003-03-24  Philip Blundell  <philb@gnu.org>

	* locale.alias: Remove duplicates.  Comment out some languages for
	which no translations are currently available.

	* Makefile: Delete old rules relating to .po files.  Call
	translation-ipkg.
	* po/Makefile: Deleted.

	* gpe-login.c (parse_xkbd_args): Make first arg const to avoid
	warning.
	(calibrate_hint_hook): New function.
	(main): Add dynamic translation to labels.

2003-03-23  Philip Blundell  <philb@gnu.org>
	    Moray Allen  <moray@sermisy.org>

	* gpe-login.c (power_button_filter): New function.
	(main): Register it as an event filter.

2003-03-23  Colin Marquardt  <colin@marquardt-home.de>

	* gpe-lock-display.c: Add stdlib.h for the exit() call.

2003-03-23 Paul Jakma <paul@dishone.st>

        * gpe-login.c: 
        (global): Add menu position element to locale_item_t and
        add pointer for language option menu
        (locale_try_user): use the found system locale item rather 
        than the user supplied item.
        (locale_update_menu): new function to update the lanuage menu
        to the approriate entry for the current_locale
        (build_lanuage_menu): adjust to use locale_update_menu
        (set_username): remove locale stuff
        (main): add callback to add locale_update_menu for 
        "changed" event on username menu.

2003-03-22 Paul Jakma <paul@dishone.st>

	* gpe-login.c: (locale_is_system): rename to locale_item_cmp and
	  add a small sanity check
	(locale_try_user): fix sense of g_slist_find_custom
	  and pass the correct argument to search list for
	add DEBUG flag and some debug statements  

2003-03-20  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.46 released.

2003-03-20  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (locale_read_user): Allocate non-NULL buffer for
	line reading.

2003-03-19  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.45 released.

2003-03-16  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.39 released.

2003-03-16  Philip Blundell  <philb@gnu.org>

	* X11/Xdefaults: Set font for rxvt.

2003-03-16  Philip Blundell  <philb@gnu.org>

	* Makefile (CFLAGS, LDFLAGS): Set according to $(DEBUG).

	* locale.alias: New file.
	* Makefile (install-login): Install it.

	* gpe-login.c (build_language_menu): Create and return
	GtkOptionMenu.
	(locale_read_user): Use g_strdup_printf in place of
	alloca/snprintf.  Apply S_ISDIR to st_mode, not st_rdev.  Correct
	sense of test on stat() return value.  Don't call perror when
	errno would be meaningless.
	(build_language_menu): Don't attempt to dereference current_locale
	if no locales exist.

2003-03-16  Paul Jakma <paul@dishone.st>
	
	* gpe-login.c: Add defines for system and user locale files,
	locale_item_t struct and prototypes for functions.  Use
	g_signal_connect in place of gtk_signal_connect.
	(add_menu_callback): New function.
	(add_one_user): Deleted. replaced by above
	(locale_set_xprop): New function.
	(locale_is_system): New function.
	(locale_free_item): New function.
	(locale_try_user): New function.
	(parse_locale_line): New function; parses a line of a locale file.
	(get_locale_list): New function; attempts to open and parse a
	locale file.
	(set_current_locale): Add callback for language menu.  Set locale.
	(locale_read_user): New function.  Locates and attempts to parse
	user locale file
	(build_language_menu): Modified; fleshed out.

2003-03-11  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.38 released.

2003-03-11  Philip Blundell  <philb@gnu.org>

	* X11/Xsession-gpe.d/98standard-apps: Tweak timings, etc.

2003-03-10  Philip Blundell  <philb@gnu.org>

	* X11/Xsession-gpe.d/98standard-apps: Reword conditional to avoid
	"exit 0" causing whole session to exit.

2003-03-09  Philip Blundell  <philb@gnu.org>

	* X11/xsettings.default: Set MATCHBOX/Background.

2003-03-08  Philip Blundell  <philb@gnu.org>

	* X11/Xsession-gpe.d/25dotfiles: Deleted.
	* X11/Xsession-gpe.d/98standard-apps: New.

	* X11/xsettings.default: Set Gtk/ToolbarIconSize also.

2003-02-23  Colin Marquardt  <colin@marquardt-home.de>

	* gpe-logout.sh: Swap order of the buttons. Make primary text
	bold and larger, add secondary text.
	Fix quotes in Pango markup.
	Swapped button order change was buggy, fix.

	* gpe-logout.png: Remove padding.

2003-02-22  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.44 released.

2003-02-22  Colin Marquardt  <colin@marquardt-home.de>

	* gpe-login.c: Cosmetics. Remove border to be consistent with
	gpe-ownerinfo. Use spacing accessor functions from libgpewidget.

2003-02-22  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.43 released

2003-02-22  Colin Marquardt  <colin@marquardt-home.de>

	* X11/Xsession-gpe.d/60xXDefaults: Check if $HOME/.Xdefaults
	exists before running xrdb.

	* gpe-login.xinit (GEOMETRY): Bigger geometry setting for
	gpe-login (240x220+0+0).

	* gpe-login.setup: Use a smaller geometry option for gpe-ownerinfo
	(240x100+0+220).

2003-02-21  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.42 released.
	
2003-02-22  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (main): Turn line wrap off again for calibration
	hint.

2003-02-21  Philip Blundell  <philb@gnu.org>

	* gpe-dm.c, gpe-dm.init, familiar/control.gpe-dm: Moved to new
	directory ../gpe-dm.
	* Makefile (install-dm): Delete.
	(ipkg, install, all, clean): Remove reference to gpe-dm.

2003-02-21  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.41 released.
	
2003-02-21  Philip Blundell  <philb@gnu.org>

	* familiar/control.gpe-login1 (Depends): Add gpe-login-locale*.

	* Makefile: Include Makefile.translation and $(DEPS).
	(install-scripts): Depend on gpe-logout.desktop.
	(EXTRA_DESKTOPS): Define.
	(MEMBERS, OBJS, DEPS, SOURCES): Likewise.
	* gpe-logout.desktop: Removed.
	* gpe-logout.desktop.in: New.

	* gpe-login.c (main): Tweak formatting of main table.  Add
	language selector; currently not functional.
	(build_language_menu): New.  Dummy implementation only.

2003-02-21  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (main): Only set default size if all other
	geometry-setting avenues have been exhausted.

2003-02-20  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.40 released.

2003-02-20  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (main): Remove local pango_lang_code
	shadowing global of same name.

2003-02-19  Colin Marquardt  <colin@marquardt-home.de>

	* gpe-login.c (main): Set bind_textdomain_codeset.  Mark up some
	strings with Pango. Don't use GtkFrame for "Log in" and "Screen
	locked" in order to gain some space.

2003-02-15  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.37 released.

	* gpe-login 0.39 released.

2003-02-15  Philip Blundell  <philb@gnu.org>

	* X11/gpe-login.pre-session: Change ownership on
	/dev/touchscreen/0raw also.

2003-02-13  Philip Blundell  <philb@gnu.org>

	* gpe-logout.sh: Add explicit line break to work around Gtk
	limitations.

	* X11/xsettings.default: Set Gtk/IconSizes also.

2003-02-12  Philip Blundell  <philb@gnu.org>

	Replace C implementation of gpe-logout with shell script:
	* Makefile (clean): Remove reference to gpe-logout.
	(install-login): Likewise.
	(all): Likewise.
	(gpe-logout): Delete rule.
	(install-scripts): Install gpe-logout.sh also.
	* gpe-logout.sh: New file.
	* gpe-logout.c: Deleted.

2003-02-12  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.36 released.

2003-02-12  Philip Blundell  <philb@gnu.org>

	* X11/Xsession-gpe.d/25dotfiles: Remove minitheme.

2003-02-11  Philip Blundell  <philb@gnu.org>

	* X11/Xsession-gpe.d/25dotfiles: Use stock "yes" and "no" buttons.

	* X11/Xdefaults: New file.
	* Makefile (install-scripts): Ship it.

2003-02-11  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.38 released.

2003-02-11  Philip Blundell  <pb@nexus.co.uk>

	* X11/gpe-login.gtkrc (gtk-font-name): Set to Sans 8.

	* gpe-login.c (main): Use stock button.  Don't call gpe_load_icons.
	(my_icons): Remove.

2003-02-05  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.35 released.

2003-02-05  Philip Blundell  <philb@gnu.org>

	* X11/xsettings.default (Gtk/FontName): Set to Sans 8.

2003-02-02  Philip Blundell  <philb@gnu.org>

	* Makefile (install-scripts): Install .desktop for gpe-logout
	also.

	* X11/Xsession-gpe.d/25dotfiles: Add minitime.  Replace miniapm
	with minibat.

2003-01-25  Philip Blundell  <philb@gnu.org>

	* gpe-dm 0.20 released.
	* gpe-session-scripts 0.34 released.
	* gpe-login 0.37 released.
	
2003-01-25  Philip Blundell  <philb@gnu.org>

	* gpe-login.xinit: Break up exec line to work around busybox bug 547.

	* familiar/gpe-logout.png: Move to ...
	* gpe-logout.png: ... here.
	* Makefile (ipkg): Don't install gpe-logout.png here.
	(install-scripts): Install it here.

	* familiar/gpe-logout.menu: Deleted.
	* Makefile (ipkg): Don't install it.
	* gpe-logout.desktop: New file.
	
	* gpe-login.c (main): Set cursor for window.

	* X11/Xserver (ARGS): Add -br.

2003-01-18  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.36 released.

2003-01-04  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.33 released.
	
2003-01-06  Philip Blundell  <philb@gnu.org>

	* X11/Xsession-gpe.d/99xWindowManager: Add exec.
	* gpe-login.xinit: Likewise.

2003-01-04  Philip Blundell  <philb@gnu.org>

	* gpe-login.setup: Revert change of 2002-12-17.

2003-01-04  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.32 released.
	
2003-01-04  Philip Blundell  <philb@gnu.org>

	* X11/xsettings.default: New file.
	* Makefile (install-scripts): Install it.

2003-01-04  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.35 released.

2003-01-04  Philip Blundell  <philb@gnu.org>

	* gpe-logout.c (main): Add GtkHSeparator above buttons.  Pack them
	into box with fill=FALSE.
	
2003-01-04  Philip Blundell  <philb@gnu.org>

	* gpe-logout.c (on_window_destroy, on_cancel_button_clicked):
	Delete.
	(main): Use gtk_main_quit in place of above functions.  Use plain
	GtkWindow in place of GtkDialog.  Don't attempt to use
	transient-for or set window as modal, just make it
	WINDOW_TYPE_DIALOG.  Put window contents inside a frame.  Centre
	label in Y axis.  Remove unnecessary calls to gtk_widget_show.

2003-01-02  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.34 released.
	* gpe-session-scripts 0.31 released.

2003-01-02  Philip Blundell  <philb@gnu.org>

	* familiar/control.gpe-login1: Provide gpe-session-starter.
	* familiar/control.gpe-session-scripts: Depend on
	gpe-session-starter not gpe-login directly.

	* X11/Xinit.d/99gpe-login: Move to ...
	* gpe-login.xinit: ... here.
	* Makefile (install-login): Install it.

2003-01-02  Philip Blundell  <philb@gnu.org>

	* X11/Xinit.d/90xXkbd: Delete, contents moved to ...
	* X11/Xinit.d/99gpe-login: ... here.
	* X11/Xsession-gpe.d/90xXkbd: Delete.

2003-01-01  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.33 released.
	* gpe-session-scripts 0.30 released.
	
2003-01-01  Philip Blundell  <philb@gnu.org>

	* gpe-login.c: Remove spurious include of gdk_imlib.h.

	* familiar/postinst.gpe-login, familiar/postrm.gpe-login: New.
	* Makefile (install-scripts): Don't install gpe-login.setup,
	gpe-login.keylaunchrc, gpe-login.suspend, gpe-login.session.
	(install-login): Install them here instead.  Also ship
	gpe-login.gtkrc and /etc/X11/Xsession{-gpe}.d10unsetgtkrc.
	(ipkg): Add postinst and postrm scripts to gpe-login.

	* X11/Xinit.d/20xBacklight: Delete.

	* X11/gpe-login.gtkrc: New.
	* X11/Xinit.d/99gpe-login: Set GTK2_RC_FILES.
	* X11/Xsession.d/10unsetgtkrc: New.

	* X11/Xsession-gpe.d/25dotfiles: Use new pixmap for xkbd.  Add
	minitheme, minilite, gpe-what.

	* Makefile (LDFLAGS): Remove -lrootimage.
	(LDFLAGS_ROOT): New.  Put it here instead.
	(gpe-login): Use $(LDFLAGS_ROOT) also.

2002-12-24  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.32 released.

2002-12-24  Philip Blundell  <philb@gnu.org>

	* gpe-logout.c (main): Request no window decorations.  Swap
	buttons over so "yes" is on the left.  Use gpe-logout icon rather
	than generic question.

2002-12-17  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.29 released.

2002-12-17  Philip Blundell  <philb@gnu.org>

	* gpe-login.setup: Use /usr/share/pixmaps/gpe-default-bg.png as
	background pixmap.

2002-12-11  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.31 released.
	
	* gpe-session-scripts 0.28 released.

2002-12-11  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (main): Set line wrap on for recalibration hint.

	* X11/Xsession-gpe.d/20xBacklight: Deleted.

2002-12-08  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.30-1 released.
	
	* gpe-session-scripts 0.27-1 released.
	
2002-12-08  Philip Blundell  <philb@gnu.org>

	* familiar/control.gpe-session-scripts (Depends): Add apmd.
	* familiar/control.gpe-login1 (Depends): Add librootimage0.
	* familiar/control.gpe-login (Depends): Likewise.

2002-12-08  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.30 released.
	
	* gpe-dm 0.18 released.
	
	* gpe-session-scripts 0.27 released.

2002-12-07  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (filter): Spawn xkbd here.  Create a new socket and
	pack it into the box.
	(main): In autolock mode, don't create a socket or spawn xkbd.
	Just make an event box to hold the socket.
	(enter_lock_callback): Kill xkbd.
	(spawn_xkbd, parse_xkbd_args): Move higher in file.

2002-12-01  Philip Blundell  <philb@gnu.org>

	* gpe-dm.c (main): Call openlog.  Replace fork with vfork.
	(start_server): Replace fork with vfork.  Replace fprintf with syslog.

	* familiar/control.gpe-session-scripts (Depends): Add gpe-question.

	* X11/Xsession-gpe.d/90GpeAppMgr: Deleted.
	* X11/Xsession-gpe.d/55xScreenSaver: Likewise.

2002-11-74  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.26 released.

2002-11-27  Philip Blundell  <philb@gnu.org>

	* X11/Xsession-gpe.d/25dotfiles: Launch xkbd, not gpe-kbd.

2002-11-24  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.25 released.

2002-11-24  Philip Blundell  <philb@gnu.org>

	* gpe-login.keylaunchrc (key): Add entry for held power button.

2002-11-23  Philip Blundell  <philb@gnu.org>

	* X11/Xinit.d/30xTs_Calibrate: If /etc/xcalibrate.conf is missing,
	run xcalibrate to generate it.

2002-11-17  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.24 released.

2002-11-17  Philip Blundell  <philb@gnu.org>

	* gpe-login.keylaunchrc: Add missing field.

2002-11-15  Philip Blundell  <philb@gnu.org>

	* gpe-dm 0.17 released.
	* gpe-session-scripts 0.23 released.

2002-11-15  Philip Blundell  <philb@gnu.org>

	* gpe-login.setup (PATH): Set suspend button to soft mode.
	* gpe-login.keylaunchrc: Add suspend button handling.
	
	* X11/Xserver: Tweak iPAQ model handling.  Add support for H3900.

2002-10-25  Philip Blundell  <philb@gnu.org>

	* gpe-dm.c: Don't open connection to X server.

	* Makefile (CFLAGS): Search ../librootimage for headers.
	(gpe-login): Remove rootpixmap.o
	* gpe-login.c (mapped): Add extra arg to rootimage functions.
	* rootpixmap.c: Deleted.
	* rootpixmap.h: Deleted also.

2002-10-22  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.29 released.

2002-10-22  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (do_login): Call initgroups.

2002-10-16  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.28 released.

2002-10-16  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (main): Fix busted config file handling.
	(GPE_LOGIN_CONF): Move to /etc/gpe/gpe-login.conf.

2002-10-16  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.27 released.
	* gpe-session-scripts 0.22 released.

2002-10-15  Philip Blundell  <philb@gnu.org>

	* X11/Xsession-gpe.d/10setroot: Deleted.

	* gpe-login.c (main): Add support for /etc/gpe-login.conf.

2002-10-12  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.21 released.

2002-10-12  Philip Blundell  <philb@gnu.org>

	* X11/Xsession-gpe.d/25dotfiles: Launch the apps rather than
	fiddling with .mbdock.  Run mbmenu as well as mmenu.

	* gpe-login.c (keymap): Add NESW keys.
	(parse_xkbd_args): New function.
	(spawn_xkbd): Use it.
	(hard_key_insert): Support autolock mode.
	(mapped): Remove stray debug.
	(main): Support --xkbd flag.  Suppress warnings.

	* rootpixmap.h: New file.
	* main.c, rootpixmap.c: Include it.

	* Makefile (GTK2): Default is yes.

2002-10-11  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (login_correct): First argument is a string, not a
	widget.
	(enter_lock_callback): Update call to above.
	(enter_callback): Likewise.
	(hard_key_insert, key_press_event, mapped): New functions.
	(main): Support --hard-keys. 

	* X11/Xinit.d/99gpe-login (HARD): Add commented out definition.

	* rootpixmap.c: New file.
	* Makefile (gpe-login): Build it.
	* gpe-login.c (main): Avoid use of ParentRelative for transparency.

2002-10-08  Philip Blundell  <philb@gnu.org>

	* gpe-login, gpe-login2 0.24 released.
	
2002-10-08  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (login_correct): Avoid abuse of gtk_entry_get_chars.

2002-10-08  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.20-1 released.

2002-10-08  Philip Blundell  <philb@gnu.org>

	* familiar/control.gpe-session-scripts (Depends): Remove
	versioning on gpe-login.

2002-10-08  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.20 released.
	* gpe-login, gpe-login2 0.23 released.

2002-10-08  Philip Blundell  <philb@gnu.org>

	* familiar/control.session-scripts (Suggest): Add gpe-setbg.
	(Depends): Remove gpe-appmgr, gpe-dm.  Add keylaunch, ipaq-sleep.
	* familiar/control.gpe-login (Suggests): Remove gpe-setbg.
	(Depends): Remove keylaunch, ipaq-sleep.
	* familiar/control.gpe-login1: New file.
	* Makefile (ipkg): Use it for gpe-login2 package.

2002-10-07  Philip Blundell  <philb@gnu.org>

	* X11/Xsession.gpe-d/65xstroke: Deleted.

2002-10-06  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (enter_newuser_callback): Add "const" qualifiers.
	(login_correct): Likewise.

	* nocursor.c: Support GTK 2.

2002-09-24  Colin Marquardt  <colin@marquardt-home.de>

	* gpe-login.setup: Fallback to color should be working now, even
	though it's ugly.

2002-09-22  Colin Marquardt  <colin@marquardt-home.de>

	* gpe-login.setup: Check for /etc/gpe/gpe-login-bg.dontshow and
	/etc/gpe/gpe-ownerinfo.dontshow files
	* familiar/control.gpe-login (Suggests): Suggest gpe-setbg.

	* gpe-login.setup: Try to set background image with gpe-setbg.

2002-09-11  Colin Marquardt  <colin@marquardt-home.de>

	* gpe-xcalibrate.sh: Add comment on the fixed xcalibrate, but
	don't evaluate the return code yet (not until ipkg supports
	versioned dependencies).

	* familiar/control.gpe-session-scripts (Depends): Versioned
	dependency on xcalibrate (>= 0.2-2).

2002-09-09  Colin Marquardt  <colin@marquardt-home.de>

	* gpe-logout.c (main): Don't set window title, in accordance to
	the Gnome HIG (see pg. 22 of HIG 1.0).
	(main): Set the border width for the hbox.
	(main): Use a Gnome stock icon (question.png).
	(main): Wrap log out text so that even user with a huge font see
	all of it.
	(main): Align label and icon so that it conforms to the Gnome 2
	HIG (icon aligned on top, text aligned left), see pg. 22 of HIG
	1.0.
	(main): Fix box packing more (expand/shrink flags). Let the label
	wrap if necessary.

2002-09-05  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.22 released.

2002-09-05  Philip Blundell  <philb@gnu.org>

	* Makefile (gpe-login): Use $^ not $<.
	(gpe-logout): Likewise.
	(gpe-dm): Likewise.
	(gpe-lock-display): Likewise.
	(clean): Remove nocursor.o too.
	
2002-09-05  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.18 released.
	
2002-09-05  Philip Blundell  <philb@gnu.org>

	* familiar/control.gpe-session-scripts (Depends): Add xcalibrate.

2002-09-05  Colin Marquardt  <colin@marquardt-home.de>

	* X11/Xinit.d/99gpe-login (TRANSPARENT): Only use transparency if
	xsetroot is there and executable.

	* gpe-login.setup: Check if files are executable, not just existant.

	* X11/Xinit.d/99gpe-login: Run gpe-login with the --transparent
	option.
	(GEOMETRY): Remove --no-logo option.

	* gpe-login.setup: Call xsetroot, run gpe-ownerinfo with the -t
	option (transparent).

	* gpe-login.c (main): Remove gtk_set_locale() call.

2002-09-04  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.21 released.
	
2002-09-04  Philip Blundell  <philb@gnu.org>

	* gpe-login.c: Remove support for logo.  Add new option
	"--transparent".

2002-09-03  Colin Marquardt  <colin@marquardt-home.de>

	* Makefile (gpe-login): Depend on nocursor.

	* nocursor.c: New file.

	* gpe-login.c, gpe-logout.c: Use <gpe/foo.h> for the includes now.

2002-08-07  Philip Blundell  <philb@gnu.org>

	* gpe-session-scripts 0.17 released.

2002-08-07  Philip Blundell  <philb@gnu.org>

	* X11/Xsession-gpe.d/60xXDefaults: Just merge the resources from
	~/.Xdefaults, don't overwrite the existing database.

2002-08-06  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.20 released.
	* gpe-session-scripts 0.16 released.

2002-08-06  Philip Blundell  <philb@gnu.org>

	* gpe-logout.c (main): Shorten window title.

	* gpe-login.c (main): Don't grab focus when not in autolock mode.

2002-08-06  Colin Marquardt  <colin@marquardt-home.de>

	* gpe-xcalibrate.sh: Don't look at xcalibrate's return code, as it
	always returns 1 (at least in the version we have in unstable
	right now).

2002-08-05  Moray Allan  <moray@handhelds.org>

	* gpe-login/familiar/gpe-logout.menu: Moved to section 'Utilities'.

2002-08-04  Moray Allan  <moray@handhelds.org>

	* X11/Xsession-gpe.d/25dotfiles: New file.

2002-08-04  Philip Blundell  <philb@gnu.org>

	* gpe-dm.c: Remove unused variable.

	* Makefile (CFLAGS, LDFLAGS): Support GTK 2.

2002-08-03  Moray Allan  <moray@handhelds.org>

	* gpe-logout.c, gpe-logout.menu: Added confirmation dialog.
	* gpe-login.pre-session, Xsession: tmpfs symlink now '~/ramdisk'.

2002-07-30  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.19 released.
	* gpe-session-scripts 0.15 released.

2002-07-30  Philip Blundell  <philb@gnu.org>

	* familiar/control.gpe-session-scripts (Depends): Add gpe-dm.
	Require gpe-login 0.19 or newer.

	* X11/Xinit.d/99gpe-login: Set smaller geometry and suppress logo
	if gpe-ownerinfo is found.
	* X11/Xinit.d/90xXkbd: Ensure /usr/X11R6/bin is in $PATH.
	* gpe-login.setup: Remove call to xmodmap.  Ensure /usr/bin is in
	$PATH.
	* gpe-login.c: Add --no-logo option.  Accept -g as alias for
	--geometry.
	* gpe-login.setup: Run gpe-ownerinfo if it exists.

	* Makefile: Move gpe-login.setup, gpe-login.keylaunchrc,
	gpe-login.suspend, gpe-login.session, gpe-xcalibrate.sh from
	gpe-login to gpe-session-scripts.
	
2002-07-30  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.18 released.
	* gpe-session-scripts 0.14 released.
	* gpe-dm 0.16 released.

2002-07-30  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (main): Accept --geometry on command line.  Don't
	explain about calibration in autolock mode.

	* X11/Xinit.d/99gpe-login: New file.

	* gpe-dm.c (main): Don't start gpe-login directly, assume Xinit
	will do that.

	* familiar/control.gpe-login: Depend on xkbd, don't just suggest
	it.  Remove suggestion of gpe-session-scripts.
	* familiar/control.gpe-dm (Depends): Demand gpe-session-scripts
	0.14 or newer.  Remove gpe-login.
	* familiar/control.gpe-session-scripts: Depend on gpe-login 0.18
	or newer.

2002-07-30  Colin Marquardt  <colin@marquardt-home.de>

	* Makefile (ipkg): mkdir
	familiar/dist.gpe-session-scripts/usr/share/pixmaps.

2002-07-30  Moray Allan  <moray@handhelds.org>

        * X11/Xsession: Now sets HOME_VOLATILE environment variable to
        location of ramdisk portion of user's home direcory.
        * X11/gpe-login.pre-session: Added comment about HOME_VOLATILE.

2002-07-30  Colin Marquardt  <colin@marquardt-home.de>

	* familiar/gpe-logout.png (Module): New icon.

	* Makefile (ipkg): Copy icon.

	* familiar/gpe-logout.menu: Added an icon.

2002-07-29  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (filter): Set window dimensions.  Grab keyboard into
	widget with focus.
	(main): Don't set window size if in autolock mode.  Add text
	explaining about xcalibrate.  Grab keyboard into widget with focus.

2002-07-29  Colin Marquardt  <colin@marquardt-home.de>

	* gpe-login.c (main): Add some padding/alignment/justification
	stuff, remove explicit width settings from username option and
	password entry field. Let's hope it does look better on the iPAQ;
	it certainly does in Xnest where I have bigger fonts.
 
2002-07-27  Colin Marquardt  <colin@marquardt-home.de>

	* gpe-xcalibrate.sh: New file. Runs xcalibrate and writes the
	config file.

	Make it only write the configuration when xcalibrated returned
	successfully.

	* Makefile (install-login): Install gpe-xcalibrate.sh.

	* gpe-login.keylaunchrc: Call wrapper script that also saves the
	xcalibrate configuration.

2002-07-25  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (main): Correct geometry parsing.

2002-07-23  Philip Blundell  <philb@gnu.org>

	* gpe-login.setup: Call ipaq-sleep with -n flag so we can kill it later.

2002-07-23  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.17 released.
	* gpe-session-scripts 0.13 released.

2002-07-22  Philip Blundell  <philb@gnu.org>

	* familiar/control.gpe-login (Depends): Add keylaunch, ipaq-sleep.
	* gpe-login.setup: Add call to ipaq-sleep.
	* gpe-login.keylaunchrc: Use full pathname for xcalibrate.

2002-07-21  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (main): Move "OK" button next to password field.

2002-07-21  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.16.1 released.

2002-07-21  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (do_login): Open .xsession-errors with correct mode.

2002-07-21  Philip Blundell  <philb@gnu.org>

	* gpe-login 0.16 released.
	* gpe-dm 0.15 released.
	* gpe-session-scripts 0.12 released.

2002-07-21  Philip Blundell  <philb@gnu.org>

	* X11/gpe-login.pre-session: Symlink .xsession-errors into
	ramdisk.
	
	* gpe-login.c (do_login): Redirect output from session to
	.xsession-errors file.  Call setgid before setuid.
	(pre_session): Call perror if exec fails.

	* gpe-login.setup (PATH): Include /usr/X11R6/bin.

	* gpe-dm.c (main): Don't create dummy window.  Remove useless
	sleep.  If -n option was given, don't call daemon().
	(start_server): Pass -noreset to server.

	* gpe-login.c (main): Use /etc/X11/gpe-login.geometry if it exists.

2002-07-20  Philip Blundell  <philb@gnu.org>

	* X11/gpe-login.pre-session: Create home directory in RAM disk.

	* gpe-login.setup: Add keylaunch invocation.
	* gpe-login.keylaunchrc: New file.
	* Makefile (install-login): Install it.

	* X11/Xsession-gpe.d/10setroot: New file.

	* gpe-login.c (filter): Clear "result" label in case of previous
	failed login attempt.
	(Makefile): Remove spare "all" target.

2002-07-20  Colin Marquardt  <colin@marquardt-home.de>

	* gpe-login.c (main): Add default and user resource files.
	(enter_lock_callback): Use gpe_login_incorrect style.
	(enter_callback):  Use gpe_login_incorrect style.
	(main): Use gpe_application_init, remove own gtkrc setup stuff.
	(main): Move setting of gpe_login_incorrect style to here.

2002-07-20  Philip Blundell  <philb@gnu.org>

	* Makefile (install-dm): Use -f when making symbolic link.

2002-07-20  Philip Blundell  <philb@gnu.org>

	* gpe-login.c: (read_key_events): Delete.
	(do_login): Set USER too.
	(login_correct): New function, broken out from enter_callback.
	(enter_lock_callback): New function.
	(filter): Likewise.
	(key_pressed): Delete.
	(spawn_xkbd): New function, broken out from main.
	(main): Add autolock mode; remove button handling.  Set override
	redirect when going fullscreen.

	* gpe-lock-display.c: New file.
	* gpe-login.session, gpe-login.suspend: New files.
	* Makefile (install-login): Install these new files.

	* gpe-login 0.14 released.

2002-07-19  Philip Blundell  <philb@gnu.org>

	* gpe-dm.c (main): Clear the environment.

	* gpe-dm 0.15 released.

2002-07-19  Philip Blundell  <philb@gnu.org>

	* familiar/gpe-logout.menu: New file.
	* X11/gpe-login.pre-session: Likewise.
	* Makefile (install-scripts): Ship them.

	* X11/Xsession-gpe.d/65xMenu: Deleted.

	* familiar/control.gpe-session-scripts: Remove dependency on xkbd.

	* gpe-session-scripts 0.11.4 released.

2002-07-18  Philip Blundell  <philb@gnu.org>

	* X11/gpe-login.pre-session: New file.
	* Makefile (install-scripts): Install it.

	* X11/Xsession-gpe.d/70unclutter: Deleted.

	* gpe-session-scripts 0.11 released.

2002-07-17  Philip Blundell  <philb@gnu.org>

	* Makefile (install-dm): Install initscript too.
	* familiar/control.gpe-dm: Provide x-display-manager; depend on
	xserver not xserver-tiny-h3600.
	* gpe-dm.init: New file.
	* 99GpeLogin: Deleted.

	* gpe-dm 0.13-3 released.

2002-06-22  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (do_login): New argument `shell'.  Set $SHELL to this.
	(enter_callback): Pass shell to do_login.
	(enter_newuser_callback): Likewise.

	* gpe-login 0.14 released.

	* Makefile (gpe-dm): Link with -lX11.
	* gpe-dm.c (main): Create a private window to stop the server
	resetting after Xinit.

	* gpe-dm 0.12 released.
	
2002-06-21  Philip Blundell  <pb@debian.org>

	* gpe-login 0.13 released.

2002-06-20  Philip Blundell  <pb@debian.org>

	* familiar/control.gpe-login (Version): Set to 0.12.
	(Depends): Require libgpewidget0 >= 0.07.

	* gpe-login.c (main): Handle errors from fork.  Pass username to
	do_login.  Call perror when execl of xkbd fails.
	(add_one_user): New function, split out from slurp_passwd.
	(slurp_passwd): Add root to the menu.
	(pre_session): New function.
	(do_login): Call it.

2002-06-19  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (read_key_events): New function.
	(key_pressed): Likewise.
	(main): Handle key-pressed events.  Ignore SIGCHLD.

	* familiar/control.gpe-login: Set version to 0.11.
	* familiar/control.gpe-dm: Likewise.

	* gpe-login-setup: Rename to ...
	* gpe-login.setup: ... this.
	* gpe-login.buttons: New file.
	* Makefile (install): Put above in /etc/X11.
	(clean): Remove gpe-dm too.

2002-06-19  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (do_login): Become session leader.

	* gpe-dm.c (shutdown): New function.
	(main): Dissociate from controlling tty.  Try to kill session and
	Xserver on SIGTERM or SIGINT.

2002-06-17  Philip Blundell  <philb@gnu.org>

	* gpe-login.c (main): If no window manager is running, set window
	size to full-screen.
	(Makefile): Create separate packages for gpe-dm and
	gpe-session-scripts.
	(X11): New directory.

2002-06-17  Philip Blundell  <philb@gnu.org>

	* gpe-dm.c: New file.
	* Makefile (gpe-dm): New target.
	(all): Include it.

	* gpe-login.c (do_login): Remove useless fork.
